Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.resource
Class WebAppResourceIDBuilder<T extends WebAppResourceID>

    java.lang.Object
      com.bea.portal.tools.resource.ResourceIDBuilder<T>
          com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>
              com.bea.portal.tools.resource.WebAppResourceIDBuilder<T>

All Implemented Interfaces
  Serializable, Cloneable

Direct Known Subclasses:
  ParentedResourceIDBuilder

    public class WebAppResourceIDBuilder<T extends WebAppResourceID>

extends com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T>

Base resource id builder for all resources that are scoped to a webapp

See Also
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`ResourceIDBuilder.ParseContext`

Field Summary

Fields inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`tags`

Constructor Summary
`WebAppResourceIDBuilder()` Constructor.
`WebAppResourceIDBuilder(WebAppResourceType resourceType)` Constructor.

Method Summary
`String` | `getWebApp()`
`ResourceID` | `getWebAppResourceID()`
`WebAppResourceIDBuilder<T>` | `parseResourceURN(String resourceURN)` Parse the given URN.
`WebAppResourceIDBuilder` | `setWebApp(String webApp)` Change the identifier of the referrent layout definition.
`WebAppResourceIDBuilder` | `setWebAppResourceID(WebAppResourceID WebAppResourceID)` Change the parent `WebAppResourceID`.

Methods inherited from class com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder
`clone, getTag, getTags, getTagValue, getTagValue, parseResourcePath, processResourceTags, reset, setTagValue`

Methods inherited from class com.bea.portal.tools.resource.ResourceIDBuilder
`createParseContext, createResourceID, getExpectedResourceType, getResourceType, getResourceURN, parseResourceTypeNamespaceURI, parseResourceURN, resolveResourceType, setExpectedResourceType, setResourceType, setResourceURN, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebAppResourceIDBuilder

    public WebAppResourceIDBuilder()

  Constructor.

### WebAppResourceIDBuilder

    public WebAppResourceIDBuilder(WebAppResourceType resourceType)

  Constructor.

Method Detail

### parseResourceURN

    public WebAppResourceIDBuilder<T> parseResourceURN(String resourceURN)

  Parse the given URN.

  Overrides:
    `parseResourceURN` in class `com.bea.portal.tools.resource.framework.TaggedResourceIDBuilder<T extends WebAppResourceID>`
  Parameters
    `resourceURN` - the URN of the referrent resource
  Returns
    this `TaggedResourceIDBuilder`

### getWebAppResourceID

    public ResourceID getWebAppResourceID()

### setWebAppResourceID

    public WebAppResourceIDBuilder setWebAppResourceID(WebAppResourceID WebAppResourceID)

  Change the parent `WebAppResourceID`.

  Parameters
    `ParentResourceID` - the parent `WebAppResourceID`
  Returns
    this `WebAppResourceIDBuilder`

### getWebApp

    public String getWebApp()

### setWebApp

    public WebAppResourceIDBuilder setWebApp(String webApp)

  Change the identifier of the referrent layout definition.

  Parameters
    `webApp` - the webApp name
  Returns
    this `WebAppResourceIDBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.